<?php

namespace App\Modelos;

use Core\Database;

class OrdendeentregaArticulos extends Database
{
    protected $table = 'app_orden_de_entrega_articulos';
    protected $id = 'nart_id';

    public function articulos($id_factura)
    {
        return $this->consultar("SELECT * FROM app_orden_de_entrega_articulos WHERE nart_nid=$id_factura")->all();
    }

    public function repuestos($id_factura)
    {
        return $this->consultar("SELECT nart_id id, nart_procodigo codigo, nart_propnombre producto, einfo_id id_empleado, CONCAT(einfo_nombres, ' ', einfo_apellidos) empleado 
        FROM app_orden_de_entrega_articulos a
        JOIN app_productos p ON p.pro_id = a.nart_proid
        LEFT JOIN app_empleados_info info ON info.einfo_id = a.nart_empleado_repuesto
        WHERE nart_nid=$id_factura AND pro_tipo != 3")->all();
    }

    public function obtenerDetalleProductoFacturado($id_factura, $id_producto, $id_alamcen)
    {
        return $this->consultar("SELECT * FROM app_orden_de_entrega_articulos WHERE nart_nid=$id_factura AND (nart_proid=$id_producto AND nart_almid=$id_alamcen)")->row();
    }
}
